import { Module } from '@nestjs/common';
import { ExploitController } from './exploit.controller';
import { ExploitService } from './exploit.service';
import { ExploitDAO } from './exploit.dao';
import { ContractModule } from '../contract/contract.module';
import { SubscribeModule } from '../subscribe/subscribe.module';
import { BullModule } from '@nestjs/bull';
import { ExploitNotifyProcessor } from './queue/exploit-notify.processor';
import { EmailNotificationModule } from '../email-notification/email-notification.module';
import { UserModule } from '../user/user.module';

@Module({
  imports: [
    BullModule.registerQueue({
      name: 'exploitNotify',
      limiter: { max: 1, duration: 60 * 1000 },
    }),
    ContractModule,
    SubscribeModule,
    EmailNotificationModule,
    UserModule,
  ],
  controllers: [ExploitController],
  providers: [ExploitService, ExploitDAO, ExploitNotifyProcessor],
  exports: [ExploitService],
})
export class ExploitModule {}
